Package: org.codehaus.groovy.classgen.asm.indy

## [Java] Class IndyCallSiteWriter

- org.codehaus.groovy.classgen.asm.indy.IndyCallSiteWriter

- Dummy class used by the indy implementation. This class mostly contains empty stubs for calls to the call site writer, since this class is normally used to prepare call site caching and in indy call site caching is done by the jvm.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CallSiteWriter` | `CONSTRUCTOR`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IndyCallSiteWriter (WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `generateCallSiteArray()`
    `` | `void` | `makeCallSite(Expression receiver, String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)`
    `` | `void` | `makeCallSiteArrayInitializer()`
    `` | `void` | `makeGetPropertySite(Expression receiver, String name, boolean safe, boolean implicitThis)`
    `` | `void` | `makeGroovyObjectGetPropertySite(Expression receiver, String name, boolean safe, boolean implicitThis)`
    `` | `void` | `makeSingleArgumentCall(Expression receiver, String message, Expression arguments, boolean safe)`
    `` | `void` | `makeSiteEntry()`
    `` | `void` | `prepareCallSite(String message)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CallSiteWriter` | `fallbackAttributeOrPropertySite, generateCallSiteArray, getCallSites, hasCallSiteUse, makeCallSite, makeCallSiteArrayInitializer, makeGetPropertySite, makeGroovyObjectGetPropertySite, makeSingleArgumentCall, makeSingleArgumentCall, makeSiteEntry, prepareCallSite, prepareSiteAndReceiver, visitBoxedArgument`

- - ### Constructor Detail

    - #### public IndyCallSiteWriter(WriterController controller)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void generateCallSiteArray()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void makeCallSite(Expression receiver, String message, Expression arguments, boolean safe, boolean implicitThis, boolean callCurrent, boolean callStatic)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void makeCallSiteArrayInitializer()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void makeGetPropertySite(Expression receiver, String name, boolean safe, boolean implicitThis)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void makeGroovyObjectGetPropertySite(Expression receiver, String name, boolean safe, boolean implicitThis)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void makeSingleArgumentCall(Expression receiver, String message, Expression arguments, boolean safe)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void makeSiteEntry()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void prepareCallSite(String message)